//Crea un nuevo archivo dart en lib/src/shared_widgets/{{widgetMensajes}}
// en este widget tendremos Alerts dialogs para mostrar los resultados
//  de las consultas API:
import 'package:flutter/material.dart';

Widget alertDanger(String message) {
  return Container(
      width: double.infinity,
      padding: const EdgeInsets.all(8.0),
      color: const Color.fromRGBO(192, 57, 43, 0.5),
      child: Row(
        children: <Widget>[
          const Icon(
            Icons.error,
            color: Colors.white,
          ),
          const SizedBox(
            width: 10.0,
          ),
          Expanded(
            child: Text(
                message
            ),
          )
        ],
      ));
}

Widget alertSuccess(String message) {
  return Container(
      width: double.infinity,
      padding: const EdgeInsets.all(8.0),
      color: Colors.lightGreen,
      child: Row(
        children: <Widget>[
          const Icon(
            Icons.check_circle_outline,
            color: Colors.white,
          ),
          const SizedBox(
            width: 10.0,
          ),
          Expanded(
            child: Text(message),
          )
        ],
      ));
}

Widget alertWait(String message) {
  return Container(
      width: double.infinity,
      padding: const EdgeInsets.all(8.0),
      color: Colors.lightBlueAccent,
      child: Row(
        children: <Widget>[
          const Icon(
            Icons.info,
            color: Colors.white,
          ),
          const SizedBox(
            width: 10.0,
          ),
          Expanded(
            child: Text(message),
          )
        ],
      ));
}